Subject: Ageing Tickets
From: Saurabh Dadu <[email-masked]>
To: Murtaza Kutiyanawala <[email-masked]>, Niren HB LSM Dsouza <[email-masked]>
Cc: Deepak Devasia <[email-masked]>, Ankit Arora <[email-masked]>, Deeksha Dadu <[email-masked]>
Date: Thu, 11 Mar 2021 12:33:29 +0000

Hi Murtaza,

I hope you are well. I along with Deeksha and Niren have been closely monitoring the service delivery from our side, and have been taking a lot of corrective steps.

Deeksha infact is now personally looking at everything, and following up and streamlining the processes.

One thing we noticed is that there are several tickets which were escalated to L2/L3 teams several times over weeks, and there is no action or response. I am attaching one such example here.

It would greatly help if we can agree together a way to track which escalations have been replied to, and which are pending for action on L2 teams.

Kind regards,
Saurabh